body 
{
  font:13px/1.5 Arial,sans-serif;
  text-align:center;
  color:#545454;
  border:0;
  margin:0;
  padding:0;
  background:url(../images/pattern.png) 0 0 repeat;
  background-position: center;   
  height:auto !important;
}

#page-wrapper
{
  width:87%;
  /*background:url(../images/page-wrapper.png) center 0 repeat-y;*/
  background:white;
  margin:0 auto;
}

#page
{
  /*width:1040px;*/
  width:100%;
  margin:0 auto;
  text-align:left;
}

#header-wrapper
{
  height:114px;
  background:url(../images/header_pattern.png) top left repeat-x;
  margin:0 10px;
}

#header{
  height:114px;
  background:url(../images/header_small.png) top left no-repeat;
}

#logo{
  margin:10px 20px 0 10px;
  float:left;
}

/*a
{
    color: #003399;
}*/

.main
{
    padding: 10px 10px 10px 10px;
    margin: 10px 10px 10px 10px;
    min-height: 700px;
    background-repeat: no-repeat;
    background-color: #D8D8D8;
    border-radius: 15px;
    width: 97%;
}



/****************************    MAIN MENU    ************************************/

#main-menu{
  display:inline;
  background-color: #FF0000;
  border-radius: 10px 10px 10px 10px;
  float: right;
  margin:38px 20px 0 0;
  padding: 5px;
  position: relative;
    top: -12px;
    left: 0px;
}

#main-menu li{
  float:left;
  margin:0 20px 0 0;
  padding:0;
  display:inline;
  list-style-type:none;
  position:relative;
}
#main-menu li:last-child{
  margin-right:0;
}

#main-menu li a{
  border-radius: 10px 10px 10px 10px;
  color: white;
  float: left;
  font-size: 16px;
  line-height: 16px;
  padding: 8px;
  position: relative;
  text-decoration:none;
}

/*#main-menu li a.active{
  background-color:#FF9900;
  border-radius: 10px 10px 10px 10px;
  color: white;
  float: left;
  font-size: 16px;
  line-height: 16px;
  padding: 8px;
  position: relative;
}*/

/****************************    MENU    ************************************/

#menu{
  float:right;
}

#menu ul ul{
  display:none;
}

#menu ul li:hover > ul {
  display: block;
}

#menu ul li:hover {
  background-color:#C30000;
  border-radius: 10px 10px 10px 10px;
  color: white;
}


#menu ul li.submenu:hover {
  background-color:#C30000;
  border-radius: 10px 10px 0 0;
  color: white;
}

#menu ul ul{
  position:absolute;
  top:100%;
  right:0;
  width:180px;
  padding:5px;
  background-color:#C30000;
  border-radius: 10px 0 10px 10px;
}
#menu ul ul li{
  float:none;
  position:relative;
}

#menu ul ul li a:hover{
  background-color:#ff0000;
}



#footer{
  padding:20px;
  background:#f3f3f3;
  font-size:11px;   
}


/*h1{
  background-color: #FF9900;
  border-radius: 10px 10px 10px 10px;
  color: white;
  font-weight: 400;
  margin-bottom: 25px;
  padding: 10px 15px;
}
*/

/*********************************   LOGIN DISPLAY ***********************************/

.loginDisplay
{
    font-size: 1 em;
    display: block;
    text-align: right;
    padding: 20px;
    color: White;
    height: 4px;
}

/*********************************   TABELLE AZZURRE ***********************************/
/* Classe per la gestione delle tabelle . Deve essere inserita in un div*/
.cstable table
{
    border: 1px solid #FFFFFF;
    border-radius:25px;
    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif;
    font-size: 12px;
    margin: 45px;
    text-align: left;
    border-collapse: collapse;
}

.cstable th {
    border: 1px solid #FFFFFF;
    padding: 8px;
    font-weight: bolder;
    font-size: 13px;
    color: #000000;
    background: #b9c9fe;
    /* 2022-09-20 */
    /* titoli colonne statici durante lo scroll */
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 2;
}
.cstable td
{
    border: 1px solid #FFFFFF;
    padding: 8px;
    background: #e8edff;
    color: #669;
}

.cstable tr:hover td
{
	background: #d0dafd;
}

/* Classe per la gestione delle tabelle che hanno bisogno di avere tanto scritto . Deve essere inserita in un div*/
.mincstable table
{
    border: 1px solid #FFFFFF;
    border-radius: 25px;
    /*    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif;
    font-size: 12px;
    text-align: left; border-collapse: collapse;*/
    width: 100%; /* overflow: auto; */
}

.mincstable th {
    border: 1px solid #000000;
    padding: 8px;
    font-weight: bolder;
    font-size: 14px;
    color: #FFFFFF;
    background: #990000;
    /* 2022-09-20 */
    /* titoli colonne statici durante lo scroll */
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 2;
}


.mincstable td, mincstable
{
    border: thin solid #000000;
    background-color: #FFFFFF;
    font-weight: normal;
    font-family: Verdana;
    padding: 2px; /*   text-align: left; */
    vertical-align: middle;
    color: #000000;
    text-transform: none;
    font-size: x-small;
}


.mincstable tr:hover td
{
    background-color: #FFCC99;
}


/*****************************   H1, H2 , H3 , H4 , H5 . H6  ****************************************/
/* Testate */
h1, h2, h3, h4, h5, h6
{
    font-size: 1.5em;
    color: #851D03;
    font-variant: small-caps;
    text-transform: none;
    font-weight: 200;
    margin-bottom: 0px;
}

h1
{
    font-size: 1.6em;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

h2
{
    font-size: 1.5em;
    font-weight: 600;
}

h3
{
    font-size: 1.2em;
}

h4
{
    font-size: 1.1em;
}

h5, h6
{
    font-size: 1em;
}

.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2
{
    margin-top: 0px;
}

/****************** CSS Calendario */
 .cal_Theme1 .ajax__calendar_container   {    background-color: #e2e2e2;     border:solid 1px #cccccc;}
.cal_Theme1 .ajax__calendar_header  {    background-color: #ffffff;     margin-bottom: 4px;}
.cal_Theme1 .ajax__calendar_title,
.cal_Theme1 .ajax__calendar_next,
.cal_Theme1 .ajax__calendar_prev    {    color: #004080;     padding-top: 3px;}
.cal_Theme1 .ajax__calendar_body    {    background-color: #e9e9e9;     border: solid 1px #cccccc;}
.cal_Theme1 .ajax__calendar_dayname {    text-align:center;     font-weight:bold;     margin-bottom: 4px;     margin-top: 2px;}
.cal_Theme1 .ajax__calendar_day {    text-align:center;}
.cal_Theme1 .ajax__calendar_hover .ajax__calendar_day,
.cal_Theme1 .ajax__calendar_hover .ajax__calendar_month,
.cal_Theme1 .ajax__calendar_hover .ajax__calendar_year,
.cal_Theme1 .ajax__calendar_active  {    color: #004080;     font-weight: bold;     background-color: #ffffff;}
.cal_Theme1 .ajax__calendar_today   {    font-weight:bold;}
.cal_Theme1 .ajax__calendar_other,
.cal_Theme1 .ajax__calendar_hover .ajax__calendar_today,
.cal_Theme1 .ajax__calendar_hover .ajax__calendar_title {    color: #bbbbbb;}


/***************************   FORMATTAZIONE DEL MODULO DI LOGIN ***********************/
input.textEntry
{
    margin: 10px;
    width: 200px;
    border: 1px solid #ccc;    
}

input.passwordEntry 
{
    margin: 10px;
    width: 200px;
    border: 1px solid #ccc;
}

div.accountInfo
{
    width: 250px
}



/* Internal Sample table */

.intsmp table
{
    border: 1px solid #FFFFFF;
    border-radius: 25px; 
    width: 100%;     
    text-align: center;
    background: white;
    border-collapse: collapse;
}

.intsmp th {
    border: 1px solid #000000;
    padding: 8px;
    font-weight: bolder;
    color: #ffffff;
    background-color: #990000;
    /* 2022-09-20 */
    /* titoli colonne statici durante lo scroll */
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 2;
}

.intsmp tr
{
    background-color: white;
}

.intsmp td
{
    border-style: solid;    
    border-width: 1px;
    border-color: black;
    color: black;
    font-weight: normal;
    font-family: Verdana;
    font-size: x-small;
    padding: 2px; 
    vertical-align: middle;
    text-align: center;
}

/* cust ord */
#loading {
    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif;
    font-size: 12px;    
}

.cstable td.hidden_el, .cstable th.hidden_el {
    display: none;
    background-color: yellow;
}

#detailsInfo {    
    text-align: left;
    font-size: 13px;           
}


.ui-widget-content.custOrdDlg {
    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif;
    font-size: 13px;
    background-color: #e8edff;
}


.ui-dialog .ui-dialog-buttonpane {
    background-color: #e8edff;
}

#custOrd-notification {
    position:fixed;
    bottom:0px;
    right: 0px;
    width:98%;
    z-index:105;
    text-align:center;
    font-weight:normal;
    font-size:14px;
    font-weight:bold;
    color:white;
    background-color: #1192a3;
    padding:5px;
}

#custOrd-notification span.dismiss {
    border:2px solid #FFF;
    padding:0 5px;
    cursor:pointer;
    float:right;
    margin-right:10px;
}

#custOrd-notification a {
    color:white;
    text-decoration:none;
    font-weight:bold
}


.detSelected td {
    background-color: lightgreen;
}


.csTableDetails table {
    border: 1px solid #FFFFFF;
    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif;
    font-size: 12px;
    margin: 45px;
    text-align: left;
    border-collapse: collapse;
    background: #e8edff;
}

.csTableDetails th {
    border: 1px solid #FFFFFF;
    padding: 8px;
    font-weight: bolder;
    font-size: 13px;
    color: #000000;
    background: #b9c9fe;
    /* 2022-09-20 */
    /* titoli colonne statici durante lo scroll */
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 2;
}

.csTableDetails td
{
    border: 1px solid #FFFFFF;
    padding: 8px;    
    color: #669;
} 


.selectedInMaster tr {
    background-color: lightgreen;
}

.CustOrdMainTbl {
    background-color: transparent;
}


/* suppl ord */
[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak 
{
  display: none !important;
}

.clickableTableNoHover  
{
    border: 1px solid #FFFFFF;
    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif;
    font-size: 10px;
    margin-left: 45px;
    margin-right: 45px;
    margin-top: 10px;
    text-align: left;
    border-collapse: collapse;
    background: #e8edff;
}

.clickableTableNoHover th
{
    border: 1px solid #FFFFFF;
    padding: 8px;
    font-weight: bolder;
    font-size: 11px;
    color: #000000;
    background: #b9c9fe;
    /* 2022-09-20 */
    /* titoli colonne statici durante lo scroll */
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 2;
}

.clickableTableNoHover td
{
    border: 1px solid #FFFFFF;
    padding: 4px;    
    color: #669;        
} 

.supplOrdInfo
{    
    margin: auto;    
    width: 90%; 
    background: none;   
    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif;
}

.supplOrdInfo td 
{
    
}

#supplOrdStatus {
    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif;
    margin-left: 20px;
}

/* supplOrd alert */

.md-title {
    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif;
    color: #669;    
}

.md-dialog-content-body {
    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif    !important; 
}

.md-confirm-button {
    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif  !important;
    background-color: #b9c9fe !important;
    color: #669 !important;
}


.md-dialog-container {
  position: absolute !important;
  top: 0px !important;
}

md-dialog {
  max-width: 90% !important;
  max-height: 90% !important;
}

md-toast { 
    position: fixed !important; 
    bottom: 0px;    
    z-index: 999;
    overflow: visible !important;
}

.md-toast-content {    
    background-color: green !important;    
}

.md-datepicker-input {
    min-width: 70px !important;
    max-width: 70px !important;
    font-size: 11px !important;
}

.md-datepicker-input-container {
    width: 80px;
}


.supplierHeadings
{
    font-family: "Lucida Sans Unicode" , "Lucida Grande" , Sans-Serif;
    text-align: left;        
    margin-left:45px;
}